به‌روزرسانی خطرناک در نرم‌افزار php


به‌روزرسانی خطرناک در نرم‌افزار php



به‌روزرسانی خطرناک در نرم‌افزار php
به‌روزرسانی خطرناک در نرم‌افزار php
کاربران PHP از به‌روزرسانی نرم‌افزار خود به نسخه ۵.۳.۷ خودداری کنند. به گزارش ایتنا به نقل از شماران، توسعه‌دهندگان PHP با صدور هشداری از کاربران خواستند آخرین نسخه پایدار این نرم‌افزار را مورد استفاده برنامه ندهند. آخرین نسخه پایدار PHP به شماره ۵.۳.۷ که برای ترمیم یک باگ خطرناک تولید و عرضه شده است، خود دارای مشکل امنیتی است. سایت رسمی PHP از کاربران خواسته است منتظر صدور نسخه ۵.۳.۸ باشند که احتمالاً طی چند روز آینده منتشر خواهد شد. این در حالی است که نسخه پایدار ۵.۳.۷ در ۱۸ اوت سال جاری (۲۷ مرداد ۱۳۹۰) منتشر شده و مدت زمان زیادی از عرضه آن نمی‌گذرد. PHP یکی از پرطرفدارترین زبان‌های برنامه‌نویسی است که به صورت متن‌باز در دسترس علاقه‌مندان برنامه دارد. PHP از لحاظ ساختاری بسیار شبیه زبان سی و پرل می‌باشد.



68 out of 100 based on 53 user ratings 928 reviews

@